Subject: Re: [dtn] DTN Epoch

From: "Burleigh, Scott C (312B)" <[email-masked]>
Date: Mon, 21 May 2018 15:28:09 +0000

Hi, Gilbert.  You're right, the bundle age in the bundle age block should likewise be expressed in microseconds.  I'll make that change in the reissue of the BP spec, which needs to happen in the next few days anyway.

Scott

-----Original Message-----
From: dtn <[email-masked]> On Behalf Of Clark, Gilbert J. (GRC-LCA0)
Sent: Saturday, April 14, 2018 7:50 PM
To: Marco Kaulea <[email-masked]>; Burleigh, Scott C (312B) <[email-masked]>
Cc: [email-masked]; Rick Taylor <[email-masked]>; [email-masked]
Subject: Re: [dtn] DTN Epoch

I do think defining the base as the UNIX epoch would be good as well.

I'll note that there is also a discrepancy between the units of the bundle age block (seconds) and the units of the lifetime (microseconds).  My expectation would be for those two units to agree with one another - is there a reason that they don't?

-Gilbert

The above reflects my personal opinion, and should therefore not be construed to represent an official position of either NASA or the US Government.
________________________________________
From: dtn [[email-masked]] on behalf of Marco Kaulea [[email-masked]]
Sent: Friday, April 13, 2018 1:15 PM
To: Burleigh, Scott C (JPL-312B)[Jet Propulsion Laboratory]
Cc: [email-masked]; [email-masked]; Rick Taylor
Subject: Re: [dtn] DTN Epoch

Hello everyone,

I'm sorry to have caused this discussion, I didn't know that some of this was already discussed in the dtnrg.
The only point I wanted to bring up, was that unixtime does not include leap seconds and DTN Time referring to UTC would need to. Defining it in terms of unix epoch time would probably work well.

Marco

[0] https://www.ietf.org/mail-archive/web/dtn-interest/current/msg01895.html
[1] https://www.ietf.org/mail-archive/web/dtn-interest/current/msg00571.html

On Fri, Apr 13, 2018 at 6:19 PM, Burleigh, Scott C (312B) <[email-masked]> wrote:
> I would propose that we simply agree on "unix epoch time", which is what Linux time functions return.  Let's please not make this any more difficult than necessary.
>
>> On 4/13/18 9:28 AM, Rick Taylor wrote:
>> > Is the pragmatic solution to avoid referring to UTC when discussing 
>> > absolute time, and perhaps use TAI with time(), rather than getting 
>> > caught up in leap-seconds and localtime().  This pushes the onus 
>> > onto the implementation rather than the specification.

_______________________________________________
dtn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dtn

_______________________________________________
dtn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dtn